# Copyright (c) 2019-present eyeo GmbH
#
# This module is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

---

# Default Postfix configuration settings for RedHat-based operating systems
# where IPv6 interfaces are not configured by default
postfix_default_configuration:
  mynetworks: "127.0.0.0/8 [::ffff:127.0.0.0]/104"
  inet_interfaces: "127.0.0.1"
  inet_protocols: "all"

# The path to the main Postfix configuration file
postfix_default_configuration_path:
  "/etc/postfix/main.cf"

# The path to the e-mail aliases file
postfix_default_aliases_path:
  "/etc/aliases"

# Default e-mail aliases
postfix_default_aliases: {}

# The name of the RedHat-based Postfix package
postfix_default_package_name:
  "postfix"

# The name of the RedHat-based Postfix service
postfix_default_service_name:
  "postfix"
